Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoHandleBoxManip Class Reference
[Manipulators]

The SoHandleBoxManip class wraps an SoHandleBoxDragger for manipulating a transformation. More...

`#include <Inventor/manips/SoHandleBoxManip.h>`

Inheritance diagram for SoHandleBoxManip:

List of all members.

## Public Methods
| SoHandleBoxManip (void)
## Static Public Methods
void | initClass (void)
## Protected Methods
| ~SoHandleBoxManip ()

## Detailed Description

The SoHandleBoxManip class wraps an SoHandleBoxDragger for manipulating a transformation.

See also:
  SoHandleBoxDragger, SoDragger

## Constructor & Destructor Documentation

SoHandleBoxManip::SoHandleBoxManip | ( | void |  | ) |

| Constructor sets us up with an SoHandleBoxDragger for manipulating a transformation.

SoHandleBoxManip::~SoHandleBoxManip | ( |  | ) | `[protected]`

| Protected destructor. (SoHandleBoxManip is automatically destructed when it's reference count goes to 0.)

## Member Function Documentation

void SoHandleBoxManip::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoHandleBoxManip.h
- SoHandleBoxManip.cpp